Bug 1296378 - Bluetooth error messages filling kernel ring buffer
Bluetooth error messages filling kernel ring buffer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 21:18 EST by Subhendu Ghosh
Modified: 2016-12-20 12:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:39:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2016-01-06 21:18:16 EST
Description of problem:

The kernel ring buffer is full of Bluetooth error messages 

Using a Broadcom BCM2046 USB bluetooth adapter with a Sony SRS-X3 speaker on Fedora 23

There is no way to select automatic pairing - I have to gnome applet to select the device every time it is turned on.

Even while paired seem to loose the first few frames of an audio stream, including the audio test in the gnome applet.


Version-Release number of selected component (if applicable):

# rpm -qa | grep blue
gnome-bluetooth-3.18.1-1.fc23.x86_64
bluez-cups-5.36-1.fc23.x86_64
pulseaudio-module-bluetooth-7.1-1.fc23.x86_64
gnome-bluetooth-libs-3.18.1-1.fc23.x86_64
NetworkManager-bluetooth-1.0.6-8.fc23.x86_64
bluez-5.36-1.fc23.x86_64
bluez-libs-5.36-1.fc23.x86_64



How reproducible:

Always - Connect bluetooth audio device


Steps to Reproduce:
1. Connect Broadcom Bluetooth dongle
2. Connect bluetooth speaker
3. error message in kernel ring buffer

Actual results:

#dmesg

[6507808.414964] Bluetooth: Unexpected continuation frame (len 0)
[6507808.486228] Bluetooth: Unexpected continuation frame (len 0)
[6507808.491104] Bluetooth: Unexpected continuation frame (len 0)
[6507808.669945] Bluetooth: Unexpected continuation frame (len 0)
[6507808.673556] Bluetooth: Unexpected continuation frame (len 0)
[6507808.777112] Bluetooth: Unexpected continuation frame (len 0)
[6507808.782232] Bluetooth: Unexpected continuation frame (len 0)
[6507808.889587] Bluetooth: Unexpected continuation frame (len 0)
[6507808.893350] Bluetooth: Unexpected continuation frame (len 0)
[6507809.071919] Bluetooth: Unexpected continuation frame (len 0)
[6507809.084280] Bluetooth: Unexpected continuation frame (len 0)
[6507809.151841] Bluetooth: Unexpected continuation frame (len 0)
[6507809.155589] Bluetooth: Unexpected continuation frame (len 0)


Expected results:

no bluetooth errors


Additional info:
Comment 1 Subhendu Ghosh 2016-01-06 21:19:13 EST
# lsusb
Bus 006 Device 006: ID 0a5c:2148 Broadcom Corp. BCM92046DG-CL1ROM Bluetooth 2.1 Adapter
Bus 006 Device 005: ID 0a5c:4503 Broadcom Corp. Mouse (Boot Interface Subclass)
Bus 006 Device 004: ID 0a5c:4502 Broadcom Corp. Keyboard (Boot Interface Subclass)
Bus 006 Device 003: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Comment 3 Fedora End Of Life 2016-11-24 09:45:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:39:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.